<template>
  <div>
    <h2 class="errorMessage">{{ errorMessage }}</h2>
    <input
      class="inputButton"
      type="button"
      @click="handleClick"
      value="Restart"
    />
  </div>
</template>

<script>
import { mapActions } from "vuex";

export default {
  name: "QuestionErrorScreen",
  props: {
    errorMessage: String,
  },

  methods: {
    ...mapActions(["reset"]),

    /**
     * Resets all the states to their initial values and routes back to the start page.
     */
    handleClick() {
      this.reset();
      this.$router.push("/");
    },
  },
};
</script>

<style>
  .errorMessage {
    text-align: center;
  }
</style>